; Shayne Steele (steele@cs.fsu.edu)
; This is my .emacs file I use on a Windows NT 4.0 Servise Pack 4 machine
; The version of Emacs I use is 20.3.7.1
; See the NT Emacs FAQ at 
; http://www.cs.washington.edu/homes/voelker/ntemacs.html
; and see the Emacs Homepage at
; http://www.emacs.org/

; Set titles for frame and icon (%f == file name, %b == buffer name)
(setq frame-title-format "Emacs - %f")
(setq icon-title-format "Emacs - %b")

; Display settings
; default size and color options for all frames
(setq default-frame-alist
 '(
; frame width and height
    (width             . 81)
    (height            . 33)
; foreground, background, and cursor colors 
    (foreground-color  . "grey8")
    (background-color  . "grey92")
    (cursor-color      . "red3")
  ) 
)
; places top left corner of initial frame at location (0, 80) on screen 
(setq initial-frame-alist
 '(
    (top               . 0)
    (left              . 80)
  )
)

; Colorized fonts
; Turn on font-lock in all modes that support it
(global-font-lock-mode t)
; Maximum colors
(setq font-lock-maximum-decoration t)

; Highlighting
; highlight region between point and mark
(transient-mark-mode t)
; highlight during query
(setq query-replace-highlight t)        
; highlight incremental search
(setq search-highlight t)               

; Show matching parens
(show-paren-mode 1)

; Display the column number of the point in the mode line
(column-number-mode t)

; Make Text mode the default mode for new buffers
; turn on Auto Fill mode automatically in Text mode 
(setq default-major-mode 'text-mode)
(add-hook 'text-mode-hook 'turn-on-auto-fill)

; 80 column wide lines when Fill mode is on
(setq set-fill-column 80)

; Start off in "C:/" dir.
(cd "C:/")

;; I use these once in a while 
;; Ensure newline at end of all files
;;(setq require-final-newline t)     
;;
;; Add Line numbers when printing (GREAT when printing out code)
;;(setq ps-line-number t)

; time display is last because during .emacs debugging if .emacs file is OK
; then time will display, otherwise I know that entire .emacs file was not read
; Display time in the mode line
(display-time)
